%define module ov51x-jpeg
%define name dkms-%{module}
%define version 1.5.6
%define release %mkrel 1

Summary:  Webcam driver 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.rastageeks.org/downloads/ov51x-jpeg/%{module}-%{version}.tar.gz
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://www.rastageeks.org/ov51x-jpeg/index.php/Ov51xJpegHackedSource
BuildArch: noarch
Requires(post): dkms
Requires(preun): dkms

%description
This is a driver for OmniVision OV511/OV511+/OV518/OV518+/OV519 webcams.

%prep
%setup -q -n %{module}-%{version}
#%patch0 -p1 -b .1837
rm -f *.fw

cat > dkms.conf <<EOF
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}-%{release}
DEST_MODULE_LOCATION[0]="/kernel/drivers/media/video"
AUTOINSTALL=yes
EOF

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/src/%{module}-%{version}-%{release}/
tar c . | tar x -C %{buildroot}/usr/src/%{module}-%{version}-%{release}/

%clean
rm -rf %{buildroot}

%post
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %{module} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{module} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{module} -v %{version}-%{release}
:

%preun
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{module} -v %{version}-%{release} --all
:

%files
%defattr(-,root,root)
/usr/src/%{module}-%{version}-%{release}


%changelog
* Thu Mar 20 2008 trem <trem@mandriva.org> 1.5.6-1mdv2008.1
+ Revision: 189065
- update to 1.5.6

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - fix description
    - fix summary

* Mon Dec 24 2007 trem <trem@mandriva.org> 1.5.4-1mdv2008.1
+ Revision: 137354
- import dkms-ov51x-jpeg


